# class Gem::SilentUI

`SilentUI` is a UI choice that is absolutely silent.

### Public Class Methods

new() click to toggle source

The `SilentUI` has no arguments as it does not use any stream.

Calls superclass method `Gem::StreamUI::new`

    # File lib/rubygems/user_interaction.rb, line 635
    def initialize
      reader, writer = nil, nil

      reader = File.open(IO::NULL, 'r')
      writer = File.open(IO::NULL, 'w')

      super reader, writer, writer, false
    end

### Public Instance Methods

close() click to toggle source
Calls superclass method `Gem::StreamUI#close`

    # File lib/rubygems/user_interaction.rb, line 644
    def close
      super
      @ins.close
      @outs.close
    end